2 Replies Latest reply on Jul 3, 2013 11:29 AM by BobLevine

    Indesign requirements

    Shia14

      I have a Mac OS X version 10.5.8 and in order to sign for the free trail indesign I need at least 10.6.8

      there is anything I can do?